%global mod_name Flask-SQLAlchemy

Name:           python-flask-sqlalchemy
Version:        2.1
Release:        %mkrel 3
Summary:        Adds SQLAlchemy support to Flask application
Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/flask-sqlalchemy
Source0:        http://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-flask
Requires:       python-sqlalchemy

%description
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy with
Flask by providing useful defaults and extra helpers that make it easier
to accomplish common tasks.

%package -n python2-flask-sqlalchemy
Summary:        Adds SQLAlchemy support to Flask application
Group:          Development/Python
Provides:       python-%{mod_name} = %{version}-%{release}
Provides:       python-flask-sqlalchemy = %{version}-%{release}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-flask
BuildRequires:  python-sqlalchemy
Requires:       python-flask
Requires:       python-sqlalchemy

%description -n python2-flask-sqlalchemy
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy with
Flask by providing useful defaults and extra helpers that make it easier
to accomplish common tasks.

Python 2 version.

%package -n python3-flask-sqlalchemy
Summary:        Adds SQLAlchemy support to Flask application
Group:          Development/Python
Provides:       python3-%{mod_name} = %{version}-%{release}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-flask
BuildRequires:  python3-sqlalchemy
Requires:       python3-flask
Requires:       python3-sqlalchemy

%description -n python3-flask-sqlalchemy
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy with
Flask by providing useful defaults and extra helpers that make it easier
to accomplish common tasks.

Python 3 version.

%prep
%setup -q -n %{mod_name}-%{version}
rm -f docs/_static/.DS_Store
rm -f docs/.DS_Store
rm -f docs/_themes/.gitignore
chmod -x docs/_static/flask-sqlalchemy-small.png

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test
 
%files -n python2-flask-sqlalchemy
%license LICENSE
%doc docs/ README CHANGES PKG-INFO
%{python2_sitelib}/*.egg-info/
%{python2_sitelib}/flask_sqlalchemy/

%files -n python3-flask-sqlalchemy
%license LICENSE
%doc docs/ README CHANGES PKG-INFO
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/flask_sqlalchemy/



%changelog
* Sat May 28 2016 ngompa <ngompa> 2.1-3.mga6
+ Revision: 1019104
- imported package python-flask-sqlalchemy

